## qt6-grpc 6.6.2

=== debian/changelog ===
qt6-grpc (6.6.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:22:06 +0200

qt6-grpc (6.6.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix building the documentation.

 -- Patrick Franz <deltaone@debian.org>  Sun, 18 Feb 2024 23:48:14 +0100

qt6-grpc (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 20:27:48 +0100
