## qt6-grpc 6.7.2

=== debian/changelog ===
qt6-grpc (6.7.2-7) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Fix dependencies for the private symbols.
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Thu, 21 Nov 2024 22:05:46 +0100

qt6-grpc (6.7.2-6) unstable; urgency=medium

  * Team upload.
  * Fix architecture of a couple of symbols.

 -- Pino Toscano <pino@debian.org>  Thu, 24 Oct 2024 06:37:41 +0200

qt6-grpc (6.7.2-5) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:40:07 +0200

qt6-grpc (6.7.2-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:43:13 +0200

qt6-grpc (6.7.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Sep 2024 22:43:45 +0200

qt6-grpc (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Sep 2024 11:56:21 +0200

qt6-grpc (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update list of installed files and new binary packages.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Aug 2024 18:14:29 +0200
