=== debian/changelog ===
qt6-grpc (6.8.0-0deepin1) UNRELEASED; urgency=medium

  * add build-dep qt6-declarative-private-dev.
  * update debian/*.install.

 -- lichenggang <lichenggang@deepin.org>  Tue, 05 Nov 2024 13:30:37 +0800

qt6-grpc (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Mon, 28 Oct 2024 10:43:56 +0800

qt6-grpc (6.6.1-2deepin0) experimental; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:16:41 +0800
