## qt6-grpc 6.8.1

=== debian/changelog ===
qt6-grpc (6.8.1-0ubuntu2) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:53:50 -0600
