=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: qt6-grpc
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                libgrpc++-dev,
                libprotobuf-c-dev,
                libprotobuf-dev,
                libprotoc-dev,
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
+               pkgconf,
                protobuf-compiler-grpc,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0~),
-	       qt6-declarative-private-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc.git
@@ -36,6 +39,17 @@
  .
  This package contains the library for Qt 6 gRPC.
 
+Package: libqt6grpcquick6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 gRPC Quick library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the library for Qt 6 gRPC Quick.
+
 Package: libqt6protobuf6
 Architecture: any
 Multi-Arch: same
@@ -47,6 +61,17 @@
  .
  This package contains the library for Qt 6 protocol buffers.
 
+Package: libqt6protobufquick6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 protocol buffers Quick library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Quick library for Qt 6 protocol buffers.
+
 Package: libqt6protobufqtcoretypes6
 Architecture: any
 Multi-Arch: same
@@ -79,16 +104,41 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the library for Qt 6 protocol buffer Well Known types.
+
+Package: qml6-module-qtgrpc
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Description: Qt 6 gRPC
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the QML module for Qt gRPC.
+
+Package: qml6-module-protobuf
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Description: Qt 6 Protobuf
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the QML module for Qt Protobuf.
 
 Package: qt6-grpc-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6grpc6 (= ${binary:Version}),
+         libqt6grpcquick6 (= ${binary:Version}),
          libqt6protobuf6 (= ${binary:Version}),
          libqt6protobufqtcoretypes6 (= ${binary:Version}),
          libqt6protobufqtguitypes6 (= ${binary:Version}),
          libqt6protobufwellknowntypes6 (= ${binary:Version}),
+         qml6-module-protobuf (= ${binary:Version}),
+         qml6-module-qtgrpc (= ${binary:Version}),
          qt6-base-dev,
          qt6-grpc-tools (= ${binary:Version}),
          ${misc:Depends},
